org.apache.lucene.luke.app.desktop.util.inifile

## Class SimpleIniFileWriter

- java.lang.Object
- - org.apache.lucene.luke.app.desktop.util.inifile.SimpleIniFileWriter

All Implemented Interfaces:
  IniFileWriter

    public class SimpleIniFileWriter
    extends Object
    implements IniFileWriter

Simple implementation of `IniFileWriter`

### Constructor Summary

Constructors
Constructor and Description
`SimpleIniFileWriter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `writeSections(Path path, Map<String,OptionMap> sections)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleIniFileWriter

    public SimpleIniFileWriter()

### Method Detail

#### writeSections

    public void writeSections(Path path,
                              Map<String,OptionMap> sections)
                       throws IOException

Specified by:
  `writeSections` in interface `IniFileWriter`
Throws:
  `IOException`